Subject: Re: Git with Lader logic

From: Martin Pettersson <[email-masked]>
Date: Fri, 27 Mar 2015 15:09:15 +0000 (UTC)

Bharat Suvarna <bharat.bs84 <at> icloud.com> writes:

> 
> Hi 
> 
> I am trying to find a way of using version control on 
PLC programmers like Allen Bradley PLC. I 
can't find a way
> of this.
> 
> Could you please give me an idea if it will work with 
Plc programs. Which are basically Ladder 
logic.
> 
> Sent from my iPad--
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to majordomo <at> vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
> 

I use Git for versioning PLC program written for Beckhoff TwinCAT v2 that 
saves the files in binary format.  
You can probably do the same for most other systems as well.   
  
My way of doing it is... 
I have a batch file that starts TwinCAT including a file that tell Twincat to
open my PLC program and export it into a text based format. 
After that the script opens git gui and gitk.  
  
I have one script like this for each plc program. 
It is quite effcient, the whole procedure only takes a double click and 
less than 10 seconds and you have git gui up and you can see your 
changes in pure text, commit and push.   
I commit both the exported text files and the binary  because the binary
is the one I edit.   
This has been working very well for many years....
  
Take care   
Martin